<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>
	<xsl:template match="/Group">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="..\Documenter.css"/>
				<script language="javascript" src="..\documenter.js" />
			</head>
			<body onLoad="showHeader()">
		<div>
			<input type="hidden" id="objectDisplayName">
				<xsl:attribute name="value"><xsl:value-of select="Name" disable-output-escaping="yes"/>
				</xsl:attribute>
			</input>
					
			
			<div>
				<table width="100%" >
					<tr >
						<td>
							<xsl:if test="(count(ViewPermissions/ViewPermission)!= 0) or (count(Children/Child)!= 0) or (count(Users/User)!= 0)">
								<label class="HeaderTitle">
									Group : <xsl:value-of select="Name" disable-output-escaping="yes"/>
								</label>
							</xsl:if>							
						</td>
					</tr>
				</table>
			</div>

			<br></br>
			<a name="Group Details" />
			<label class="HeaderTitle">Group Details</label>
			<br></br>
			<table border="0" class="TableClass" >
				<tr CLASS="BlueTableHeader">
					<td rowspan ="2" align="center" class="ColumnTitle">Name</td>
					<td rowspan ="2" align="center" class="ColumnTitle">Sequence</td>
					<td rowspan ="2" align="center" class="ColumnTitle">Permission copied from</td>
					<td colspan =" 3" align="center" class="ColumnTitle">Custom Permission: Can Close</td>
					<td rowspan ="2" align="center" class="ColumnTitle">View Permission</td>
					<td rowspan ="2" align="center" class="ColumnTitle">Sub-Group</td>
					<td rowspan ="2" align="center" class="ColumnTitle">User</td>
				</tr>
				<tr CLASS="BlueTableHeader">
					<td align="center" class="ColumnTitle">Incident</td>
					<td align="center" class="ColumnTitle">Work Order</td>
					<td align="center" class="ColumnTitle">Incident w\Open Work Order</td>
				</tr>
				<tr>
					<xsl:if test="(position() mod 2=1)">
						<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
					</xsl:if>
					<td align="left">
						<xsl:value-of select="Name" disable-output-escaping="yes"/>
					</td>
					<td align="left">
						<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
					</td>
					<td align="left" >
						<label>
							<xsl:value-of select="ProfileGroup" disable-output-escaping="yes"/>
						</label>
					</td>
					<td align="left" >
						<label>
							<xsl:value-of select="CustPermission/CanCloseHD" disable-output-escaping="yes"/>
						</label>
					</td>
					<td align="left" >
						<label>
							<xsl:value-of select="CustPermission/CanCloseWO" disable-output-escaping="yes"/>
						</label>
					</td>
					<td align="left" >
						<label>
							<xsl:value-of select="CustPermission/WOMsg" disable-output-escaping="yes"/>
						</label>
					</td>
					<td align="left" CLASS="InputSSDLabel">
						<xsl:choose>
							<xsl:when test="count(ViewPermissions)=0 or count(ViewPermissions/ViewPermission)> 0">
								<a>
									<xsl:attribute name="href">
										#Group View Permission
									</xsl:attribute>Click
								</a>
							</xsl:when>
							<xsl:when test="count(ViewPermissions/ViewPermission)=0">
								<label>Default</label>
							</xsl:when>
						</xsl:choose>
					</td>
					<td align="left" CLASS="InputSSDLabel">
						<xsl:choose>
							<xsl:when test="count(Children/Child)=0">
								<label>-</label>
							</xsl:when>
							<xsl:otherwise>
								<a>
									<xsl:attribute name="href">#Sub-Groups</xsl:attribute>Click
								</a>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td align="left" CLASS="InputSSDLabel">
						<xsl:choose>
							<xsl:when test="count(Users/User)=0">
								<label>-</label>
							</xsl:when>
							<xsl:otherwise>
								<a>
									<xsl:attribute name="href">#Users</xsl:attribute>Click
								</a>

							</xsl:otherwise>
						</xsl:choose>
					</td>					
				</tr>
			</table>
			<br></br>

						
						<xsl:call-template name="create_GroupViewPermissionTable">
							<xsl:with-param name="nav_position" select="position()" />
						</xsl:call-template>
						<xsl:call-template name="create_SubGroupTable">
							<xsl:with-param name="nav_position" select="position()" />
						</xsl:call-template>
						<xsl:call-template name="create_GroupUserTable">
							<xsl:with-param name="nav_position" select="position()" />
						</xsl:call-template>



			</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="create_GroupViewPermissionTable">
		<xsl:param name="nav_position"/>
		<div>
			<xsl:choose>
				<xsl:when test ="count(ViewPermissions/ViewPermission) > 0">
					<hr></hr>
					<a name="Group View Permission" />
					<label class="HeaderTitle">Group View Permission</label>
					<br></br>
					<table border="0" class="TableClass" >
						<tr CLASS="BlueTableHeader">
							<td align="left" class="ColumnTitle">Display Name</td>
							<td align="left" class="ColumnTitle">Base Table Name</td>
							<td align="left" class="ColumnTitle">Select</td>
							<td align="left" class="ColumnTitle">Insert</td>
							<td align="left" class="ColumnTitle">Update</td>
							<td align="left" class="ColumnTitle">Delete</td>
						</tr>
							<xsl:for-each select="ViewPermissions/ViewPermission">
								<xsl:sort select="DisplayName"/>
								<xsl:call-template name="create_GroupViewPermissionList">
									<xsl:with-param name="nav_position" select="position()" />
								</xsl:call-template>
							</xsl:for-each>						
					</table>
					<xsl:if test="ViewPermissions/@viewCount > count(ViewPermissions/ViewPermission)">
						<label class="HeaderTitle">* Default permission is set for other views</label></xsl:if>

				</xsl:when>
				<xsl:when test="count(ViewPermissions) = 0">
					<a name="Group View Permission" />
					<label class="HeaderTitle">Group View Permission</label>
					<br></br>
					<a><xsl:attribute name="href">g<xsl:value-of select="ProfileGroupSequence" disable-output-escaping="yes"/>.xml#Group View Permission</xsl:attribute>
						Group and its users inherit permission from parent group (<xsl:value-of select="ProfileGroup" disable-output-escaping="yes"/>)
					</a>					
				</xsl:when>		
			</xsl:choose>
			</div>
	</xsl:template>
	<xsl:template name="create_GroupViewPermissionList">
		<xsl:param name="nav_position" />
		<tr>
			<xsl:if test="(position() mod 2=1)"><xsl:attribute name="style">background-color:lightblue</xsl:attribute></xsl:if>
			<td align="left">
				<xsl:value-of select="DisplayName" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="ViewName" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Select" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Insert" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Update" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Delete" disable-output-escaping="yes"/></label>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="create_SubGroupTable">
		<xsl:param name="nav_position"/>
		<xsl:if test ="count(Children) > 0">
			<br></br>
			<a name="Sub-Groups" />
			<label class="HeaderTitle">Sub-Groups</label>
			<br></br>
			<table border="0" class="TableClass" >
				<tr CLASS="BlueTableHeader">
					<td align="left" class="ColumnTitle">Name</td>
					<td align="left" class="ColumnTitle">Sequence</td>
				</tr>
					<xsl:for-each select="Children/Child">
						<xsl:sort select="Name"/>
						<xsl:call-template name="create_SubGroupList">
							<xsl:with-param name="nav_position" select="position()" />
						</xsl:call-template>
					</xsl:for-each>				
			</table>
		</xsl:if></xsl:template>
	<xsl:template name="create_GroupUserTable">
		<xsl:param name="nav_position"/>
		<xsl:if test ="count(Users) > 0">
			<br></br>
			<a name="Users" />
			<label class="HeaderTitle">Users</label>
			<br></br>
			<table border="0" width="100%" class="TableClass" >
				<tr CLASS="BlueTableHeader">
					<td rowspan ="3" align="center" class="ColumnTitle">Name</td>
					<td rowspan ="3" align="center" class="ColumnTitle">Sequence</td>
					<td rowspan ="3" align="center" class="ColumnTitle">FirstName</td>
					<td rowspan ="3" align="center" class="ColumnTitle">LastName</td>
					<!--<td colspan="4" align="center" class="ColumnTitle"></td>-->
					<td colspan="6" align="center" class="ColumnTitle">Custom Permission</td>
					<td colspan="8" align="center" class="ColumnTitle">System Administration Permission</td>
					<td rowspan ="3" align="center" class="ColumnTitle">View Permission</td>
				</tr>
				<tr CLASS="BlueTableHeader">
					<td colspan ="3" align="center" class="ColumnTitle">Can Close</td>
					<td rowspan ="2" align="center" class="ColumnTitle">Save On Assign</td>
					<td rowspan ="2" align="center" class="ColumnTitle">Group Administrator</td>
					<td rowspan ="2" align="center" class="ColumnTitle">System Administrator</td>
					<td colspan ="3" align="center" class="ColumnTitle">Group</td>
					<td colspan ="3" align="center" class="ColumnTitle">User Module</td>
					<td colspan ="2" align="center" class="ColumnTitle">Index</td>
					<!--<td align="center" class="ColumnTitle"></td>-->
				</tr>
				<tr CLASS="BlueTableHeader">
					<td align="center" class="ColumnTitle">Incident</td>
					<td align="center" class="ColumnTitle">Work Order</td>
					<td align="center" class="ColumnTitle">Incident w\Open Work Order</td>
					<td align="center" class="ColumnTitle">Create</td>
					<td align="center" class="ColumnTitle">Alter</td>
					<td align="center" class="ColumnTitle">Drop</td>
					<td align="center" class="ColumnTitle">Create</td>
					<td align="center" class="ColumnTitle">Alter</td>
					<td align="center" class="ColumnTitle">Drop</td>
					<td align="center" class="ColumnTitle">Create</td>
					<td align="center" class="ColumnTitle">Drop</td>
				</tr>
					<xsl:for-each select="Users/User">
						<xsl:sort select="Name"/>
						<xsl:call-template name="create_GroupUserList">
							<xsl:with-param name="nav_position" select="position()" />
						</xsl:call-template>
					</xsl:for-each>				
			</table>
			<br></br>
			<xsl:if test ="@UserViewPermission = 1">
				<a name="Users View Permission" />
				<label class="HeaderTitle">Users View Permission</label>
			</xsl:if>
					

			<!--<a name="Users View Permission" />
			<label class="HeaderTitle">Users View Permission</label>-->
			<xsl:for-each select="Users/User">
				<xsl:sort select="Name"/>
				<xsl:if test="(count(ViewPermissions)!=0) and (count(ViewPermissions/ViewPermission)!=0)">
				<xsl:call-template name="create_UserViewPermissionTable">
					<xsl:with-param name="nav_position" select="position()" />
				</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template name="create_SubGroupList">
		<xsl:param name="nav_position" />
		<tr>
			<xsl:if test="(position() mod 2=1)"><xsl:attribute name="style">background-color:lightblue</xsl:attribute></xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="create_GroupUserList">
		<xsl:param name="nav_position"/>
		<tr>
			<xsl:if test="(position() mod 2=1)"><xsl:attribute name="style">background-color:lightblue</xsl:attribute></xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label><xsl:value-of select="FirstName" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="LastName" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/CanCloseHD" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/CanCloseWO" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/WOMsg" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/CSOA" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/IsGA" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/IsSA" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/CreateGroup" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/AlterGroup" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/DropGroup" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/CreateModule" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/AlterModule" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/DropModule" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/CreateIndex" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="CustomPermission/SAPermission/DropIndex" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" CLASS="InputSSDLabel">
				<xsl:choose>
					<xsl:when test="count(ViewPermissions) = 0">
						<a>
							<xsl:attribute name="href">#Group View Permission</xsl:attribute>Click
						</a>
					</xsl:when>
					<xsl:when test="count(ViewPermissions/ViewPermission) = 0">
						<lable>Default</lable>
					</xsl:when>
					<xsl:otherwise>
						<a>
							<xsl:attribute name="href">
								#URV_<xsl:value-of select="../../Sequence"/>_<xsl:value-of select="Sequence"/>
							</xsl:attribute>Click
						</a>

					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="create_UserViewPermissionTable">
			<xsl:param name="nav_position"/>
			<div>
				<hr></hr>
				<div>
					<a>
						<xsl:attribute name="name">URV_<xsl:value-of select="../../Sequence"/>_<xsl:value-of select="Sequence"/></xsl:attribute>
						<xsl:attribute name="internal">Internal</xsl:attribute>
					</a>

					<table width="100%" >
						<tr >
							<td>
								<label style="font-family:verdana;font-size:16px;">User : <xsl:value-of select="Name" disable-output-escaping="yes"/></label>
							</td>
						</tr>
					</table>
				</div>
				<hr></hr>
						
						<label class="HeaderTitle">View Permission</label>
						<br></br>
						<table border="0" class="TableClass" >
							<tr CLASS="BlueTableHeader">
								<td align="left" class="ColumnTitle">Display Name</td>
								<td align="left" class="ColumnTitle">Base Table Name</td>
								<td align="left" class="ColumnTitle">Select</td>
								<td align="left" class="ColumnTitle">Insert</td>
								<td align="left" class="ColumnTitle">Update</td>
								<td align="left" class="ColumnTitle">Delete</td>
							</tr>
								<xsl:for-each select="ViewPermissions/ViewPermission">
									<xsl:sort select="DisplayName"/>
									<xsl:call-template name="create_UserViewPermissionList">
										<xsl:with-param name="nav_position" select="position()" />
									</xsl:call-template>
								</xsl:for-each>							
						</table>
				<xsl:if test ="ViewPermissions/@viewCount > count(ViewPermissions/ViewPermission)">
					<label class="HeaderTitle">* Default permission is set for other views</label></xsl:if>

			</div>
	</xsl:template>
	<xsl:template name="create_UserViewPermissionList">
		<xsl:param name="nav_position" />
		<tr>
			<xsl:if test="(position() mod 2=1)">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<xsl:value-of select="DisplayName" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="ViewName" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Select" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Insert" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Update" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Delete" disable-output-escaping="yes"/>
				</label>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>