<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>
	<xsl:template match="/Module">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="..\Documenter.css"/>
				<script language="javascript" src="..\documenter.js" />
			</head>
			<body onLoad="showHeader()">
		<div>
			<input type="hidden" id="objectDisplayName">
				<xsl:attribute name="value"><xsl:value-of select="Name" disable-output-escaping="yes"/>
				</xsl:attribute>
			</input>
			<table style="cell-padding:2px;cell-spacing:2px;" CLASS="HeaderTitle" >
				<tr>
					<td colspan="3" style="padding-bottom:10px">
						<h3>Module Information - <xsl:value-of select="Name" disable-output-escaping="yes"/></h3>
					</td>
				</tr>
				<tr>
					<td align="left">View Name</td>
					<td align="left" CLASS="InputSSDLabel"><xsl:value-of select="Name" disable-output-escaping="yes"/></td>
				</tr>
				<tr>
					<td align="left">Base Table name</td>
					<td align="left"  CLASS="InputSSDLabel"><xsl:value-of select="BaseName" disable-output-escaping="yes"/></td >
				</tr>
				<tr>
					<td align="left">Module Sequence</td>
					<td align="left" >
						<label CLASS="InputSSDLabel"><xsl:value-of select="Sequence" disable-output-escaping="yes"/></label>
					</td>
				</tr>
				<tr>
					<td align="left">Query Example</td>
					<td align="left" >
						<label CLASS="InputSSDLabel">SELECT * FROM [_SMDBA_].[<xsl:value-of select="Name" disable-output-escaping="yes"/>] WHERE </label><lable>condition ORDER BY field name</lable>
					</td>
				</tr>
			</table>
			<br></br>
			<xsl:if test="count(Fields/Field) > 0">
				<a name="Fields" />
				<label class="HeaderTitle">Fields</label>
				<br></br>
				<table border="0" class="TableClass" >
					<tr CLASS="BlueTableHeader">
						<td align="left" class="ColumnTitle">Name</td>
						<td align="left" class="ColumnTitle">Base Name</td>
						<td align="left" class="ColumnTitle">Sequence</td>
						<td align="left" class="ColumnTitle">Type</td>
						<td align="left" class="ColumnTitle">Reference</td>
						<td align="left" class="ColumnTitle">Data Type</td>
						<td align="left" class="ColumnTitle">Field Size</td>
					</tr>
						<xsl:for-each select="Fields/Field">
							<xsl:sort select="Name"/>
							<xsl:call-template name="create_FieldList" /> 
						</xsl:for-each>
				</table>
			</xsl:if>
			<br></br>
			<xsl:if test="count(Forms/Form) > 0">
				<a name="Forms" />
				<label class="HeaderTitle">Forms</label>
				<br></br>
				<table border="0" class="TableClass">
					<tr CLASS="BlueTableHeader">
						<td align="left" class="ColumnTitle">Name</td>
						<td align="left" class="ColumnTitle">Sequence</td>
						<td align="left" class="ColumnTitle">Navigators</td>
					</tr>
						<xsl:for-each select="Forms/Form">
							<xsl:call-template name="create_Forms" />
						</xsl:for-each>
				</table>
			</xsl:if>
			<br></br>
			<xsl:if test="count(SSDForms/SSDForm) > 0">
				<a name="Self Service Forms" />
				<label class="HeaderTitle">Self Service Forms</label>
				<br></br>
				<table border="0">
					<tr CLASS="BlueTableHeader">
						<td align="left" class="ColumnTitle">Name</td>
						<td align="left" class="ColumnTitle">Sequence</td>
						<td align="left" class="ColumnTitle">CustomForm</td>
					</tr>
						<xsl:for-each select="SSDForms/SSDForm">
							<xsl:call-template name="create_SSDForms" />
						</xsl:for-each>
				</table>
			</xsl:if>
			<br></br>
			<xsl:if test="count(BusinessRules/BusinessRule) > 0">
				<a name="Business Rules" />
				<label class="HeaderTitle">Business Rules</label>
				<br></br>
				<table class="TableClass">
					<tr CLASS="BlueTableHeader">
						<td align="left" class="ColumnTitle">Name</td>
						<td align="left" class="ColumnTitle">Sequence</td>
						<td align="left" class="ColumnTitle">Type</td>
						<td align="left" class="ColumnTitle">Description</td>
						<td align="left" class="ColumnTitle">Revision History</td>
					</tr>
						<xsl:for-each select="BusinessRules/BusinessRule">
							<xsl:call-template name="create_BusinessRules" />
						</xsl:for-each>									
				</table>
			</xsl:if>
			<br></br>
			<xsl:if test="count(BusinessRuleTemplates/BusinessRuleTemplate) > 0">
				<a name="Business Rule Templates" />
				<label class="HeaderTitle">Business Rule Templates</label>
				<br></br>
				<table class="TableClass">
					<tr CLASS="BlueTableHeader">
						<td align="left" class="ColumnTitle">Name</td>
						<td align="left" class="ColumnTitle">Sequence</td>
						<td align="left" class="ColumnTitle">Description</td>
						<td align="left" class="ColumnTitle">Template</td>
					</tr>
					<xsl:for-each select="BusinessRuleTemplates/BusinessRuleTemplate">
							<xsl:call-template name="create_BusinessRuleTemplates" />
						</xsl:for-each>								
				</table>
			</xsl:if>
			<br></br>
			<xsl:if test="count(CSBusinessRules/CSBusinessRule) > 0">
				<a name="Client Side Business Rules" />
				<label class="HeaderTitle">Client Side Business Rules</label>
				<br></br>
				<table class="TableClass">
					<tr CLASS="BlueTableHeader">
						<td align="left" class="ColumnTitle">Name</td>
						<td align="left" class="ColumnTitle">Sequence</td>
						<td align="left" class="ColumnTitle">Event</td>
						<td align="left" class="ColumnTitle">Event Field</td>
						<td align="left" class="ColumnTitle">Dynamic changes on form load</td>
						<td align="left" class="ColumnTitle">Description</td>
						<td align="left" class="ColumnTitle">Revision History</td>
					</tr>
						<xsl:for-each select="CSBusinessRules/CSBusinessRule">
							<xsl:call-template name="create_CSBusinessRules" />
						</xsl:for-each>
				</table>
			</xsl:if>
			<br></br>
			<br></br>
		</div>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="create_FieldList" >
		<tr>
			<xsl:if test="(position() mod 2=1)"><xsl:attribute name="style">background-color:lightblue</xsl:attribute></xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="BaseName" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Sequence" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Type" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Reference" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="DEType" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Size" disable-output-escaping="yes"/></label>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_Forms" >
		<tr>
			<xsl:if test="(position() mod 2=1)"><xsl:attribute name="style">background-color:lightblue</xsl:attribute></xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Sequence" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<xsl:for-each select="Navigators/Navigator">
					<label><a> <xsl:attribute name="href">N<xsl:value-of select="Sequence"/>.xml</xsl:attribute><xsl:value-of select="Name" disable-output-escaping="yes"/>
			</a>
		</label>
					<label>; </label>
				</xsl:for-each>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_SSDForms" >
		<tr>
			<xsl:if test="(position() mod 2=1)"><xsl:attribute name="style">background-color:lightblue</xsl:attribute></xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label><xsl:value-of select="Sequence" disable-output-escaping="yes"/></label>
			</td>
			<td align="left" >
				<label><xsl:value-of select="System" disable-output-escaping="yes"/></label>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_BusinessRules" >
		<tr>
			<xsl:if test="position()">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					On <xsl:value-of select="Method" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Description" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="RevisionHistory" disable-output-escaping="yes"/>
				</label>
			</td>
		</tr>
		
		<tr>
			<td align="left" valign="top">Run :</td>
			<td align="left"  colspan="4">
				<label CLASS="InputSSDLabel">
					<xsl:value-of select="Run" disable-output-escaping="yes"/>
				</label>
			</td>
		</tr>
		<tr>
			<td align="left" valign="top">Conditions :</td>
			<td align="left"  colspan="4">
				<xsl:for-each select="Conditions/Condition">
							<xsl:call-template name="create_BRConditionSet" />
						</xsl:for-each>
			</td>
		</tr>
		<tr>
			<td align="left" valign="top">Actions :</td>
			<td align="left"  colspan="4">
				<xsl:for-each select="Actions/Action">
					<xsl:call-template name="create_BRActionSet" />
				</xsl:for-each>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="create_BRConditionSet">
		<table>
			<tr>
				<td>
					<label CLASS="InputSSDLabel">
						<xsl:if test="(LogicalOperator != 'None')">
							<xsl:value-of select="LogicalOperator" disable-output-escaping="yes"/>
						</xsl:if>						
						" <xsl:value-of select="LeftOperand" disable-output-escaping="yes"/> "
						<xsl:value-of select="Operator" disable-output-escaping="yes"/>
						" <xsl:value-of select="RightOperand" disable-output-escaping="yes"/>"
					</label>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="create_BRActionSet">
		<table style="cell-padding:0px;cell-spacing:0px;" border="0">
			<tr>
				<td valign="top" style="width:40%">
					<table valign="top" border="0" style="cell-padding:0px;cell-spacing:0px;">
						<tr>
							<td>
							<label CLASS="InputSSDLabel">
								On <xsl:value-of select="Method" disable-output-escaping="yes"/> of record on form
								"<xsl:value-of select="Form" disable-output-escaping="yes"/>", of module
								"<xsl:value-of select="Module" disable-output-escaping="yes"/>", update column
							</label>
							</td>
						</tr>
					</table>
				</td>
				<td valign="top" style="width:60%">
					<table valign="top" border="0" style="cell-padding:0px;cell-spacing:0px;">
						<xsl:for-each select="Data">
							<xsl:call-template name="create_BRActionData" />
						</xsl:for-each>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="create_BRActionData">
		<tr>
			<td valign="top">
				<label CLASS="InputSSDLabel">
					<xsl:value-of select="Column" disable-output-escaping="yes"/> with 
					"<xsl:value-of select="Expression" disable-output-escaping="yes"/>" 
				</label>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_BusinessRuleTemplates" >
		<tr>
			<xsl:if test="(position() mod 2=1)">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Description" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:call-template name="insert_LineBreaks" />
				</label>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_CSBusinessRules" >
		<tr>
			<xsl:if test="position()">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Event" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<xsl:if test="count(EventField/Name) > 0">
					<label>
						<xsl:value-of select="EventField/Name" disable-output-escaping="yes"/>
					</label>
				</xsl:if>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="DataLoadEvent" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="Description" disable-output-escaping="yes"/>
				</label>
			</td>
			<td align="left" >
				<label>
					<xsl:value-of select="RevisionHistory" disable-output-escaping="yes"/>
				</label>
			</td>
		</tr>

		<tr>
			<td align="left" valign="top">Conditions :</td>
			<td align="left"  colspan="6">
				<xsl:for-each select="Conditions/Condition">
					<xsl:call-template name="create_CSBRConditionSet" />
				</xsl:for-each>
			</td>
		</tr>
		<tr>
			<td align="left" valign="top">Actions :</td>
			<td align="left"  colspan="6">
				<xsl:for-each select="Actions/Action">
					<xsl:call-template name="create_CSBRActionSet" />
				</xsl:for-each>
			</td>
		</tr>
		<tr>
			<td align="left" valign="top">Assignments :</td>
			<td align="left"  colspan="6">
				<table>
					<xsl:for-each select="Assignments/Assignment">
						<xsl:call-template name="create_CSBRAssignmentSet" />
					</xsl:for-each>					
				</table>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_CSBRConditionSet">
		<table>
			<tr>
				<td>
					<label CLASS="InputSSDLabel">
						<xsl:if test="(LogicalOperator != 'None')">
							<xsl:value-of select="LogicalOperator" disable-output-escaping="yes"/>
						</xsl:if>
						" <xsl:value-of select="LeftOperand" disable-output-escaping="yes"/> "
						<xsl:value-of select="Operator" disable-output-escaping="yes"/>
						" <xsl:value-of select="RightOperand" disable-output-escaping="yes"/>"
					</label>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="create_CSBRActionSet">
		<table style="cell-padding:0px;cell-spacing:0px;" border="0">
			<tr>
				<td valign="top" style="width:50%">
					<table valign="top" border="0" style="cell-padding:0px;cell-spacing:0px;">
						<tr>
							<td>
								<label CLASS="InputSSDLabel">
									<xsl:value-of select="Method" disable-output-escaping="yes"/>,
									<xsl:value-of select="Form" disable-output-escaping="yes"/>,
									<xsl:value-of select="Module" disable-output-escaping="yes"/>
								</label>
							</td>
						</tr>
					</table>
				</td>
				<td valign="top" style="width:50%">
					<table valign="top" border="0" style="cell-padding:0px;cell-spacing:0px;">
						<xsl:if test="count(Data) > 0">
							<xsl:for-each select="Data">
								<xsl:call-template name="create_CSBRActionData" />
							</xsl:for-each>
						</xsl:if>
						<xsl:if test="count(MessageData) > 0">
							<xsl:for-each select="MessageData">
								<xsl:call-template name="create_CSBRActionMessageData" />
							</xsl:for-each>
						</xsl:if>
						<xsl:if test="count(FormatData) > 0">
							<xsl:for-each select="FormatData">
								<xsl:call-template name="create_CSBRActionFormatData" />
							</xsl:for-each>
						</xsl:if>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="create_CSBRActionData">
		<tr>
			<td valign="top">
				<label CLASS="InputSSDLabel">
					<xsl:value-of select="Column" disable-output-escaping="yes"/> =
					" <xsl:value-of select="Expression" disable-output-escaping="yes"/>"
				</label>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_CSBRActionMessageData">
		<tr>
			<td valign="top">
				<label CLASS="InputSSDLabel">
					Type = <xsl:value-of select="Type" disable-output-escaping="yes"/> <br></br>
					OkText = <xsl:value-of select="OkText" disable-output-escaping="yes"/> <br></br>
					ExitOnOk = <xsl:value-of select="ExitOnOk" disable-output-escaping="yes"/> <br></br>
					CancelText = <xsl:value-of select="CancelText" disable-output-escaping="yes"/> <br></br>
					ExitOnCancel = <xsl:value-of select="ExitOnCancel" disable-output-escaping="yes"/> <br></br>
					ActionOnWindowClose = <xsl:value-of select="ActionOnWindowClose" disable-output-escaping="yes"/> <br></br>
					Message = <xsl:value-of select="Message" disable-output-escaping="yes"/> <br></br>					
				</label>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_CSBRActionFormatData">
		<tr>
			<td valign="top">
				<label CLASS="InputSSDLabel">
					"<xsl:value-of select="Expression" disable-output-escaping="yes"/>"
				</label>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_CSBRAssignmentSet">
		<tr>
			<td align="left">
				<label>
					Type : <xsl:value-of select="Type" disable-output-escaping="yes"/>
				</label>
			</td>
		</tr>
		<tr>
			<td align="left" >
				<xsl:if test="count(Form/Name) > 0">
				<label>
					Form Name: <xsl:value-of select="Form/Name" disable-output-escaping="yes"/>
				</label>
				</xsl:if>
			</td>
		</tr>
		<tr>
			<td align="left" >
				<label>
					Execution Order: <xsl:value-of select="Order" disable-output-escaping="yes"/>
				</label>
			</td>			
		</tr>
	</xsl:template>
	
	<xsl:template name="insert_LineBreaks">
		<xsl:param name="text" select="Template"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" disable-output-escaping="yes"/>
				<br/>
				<xsl:call-template name="insert_LineBreaks">
					<xsl:with-param name="text" select="substring-after($text,'&#xa;')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" disable-output-escaping="yes"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


</xsl:stylesheet>
