<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>
	<xsl:template match="/Navigator">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="..\Documenter.css"/>
				<script language="javascript" src="..\documenter.js" />
			</head>
			<body onLoad="showHeader()">

				<input type="hidden" id="objectDisplayName">
					<xsl:attribute name="value">
						<xsl:value-of select="Name" disable-output-escaping="yes"/>
					</xsl:attribute>
				</input>


						<label class="HeaderTitle">Navigator Information</label>
						<div>
							<table width="100%" >
								<tr >
									<td>
										<label style="font-family:verdana;font-size:12px;">
											<xsl:value-of select="Name" disable-output-escaping="yes"/>
										</label>
									</td>
								</tr>
								<tr >
									<td>
										<label>
											Sequence:
											<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
										</label>
									</td>
								</tr>
								<tr >
									<td>
										<label>
											Default:
											<xsl:value-of select="IsSystem" disable-output-escaping="yes"/>
										</label>
									</td>
								</tr>
							</table>
						</div>
						<br></br>
						<xsl:if test="count(Sections/Section) > 0">
						<a name="Section Information" />
						<label class="HeaderTitle">Section Information</label>
						<br></br>
						<table border="1" class="TableClass" style="border-collapse:collapse" >
							<tr CLASS="BlueTableHeader">
								<td rowspan ="2" align="center" class="ColumnTitle">Name</td>
								<td colspan="3" align="center" class="ColumnTitle">Links</td>
							</tr>
							<tr CLASS="BlueTableHeader">
								<td align="center" class="ColumnTitle">Type</td>
								<td align="center" class="ColumnTitle">Text</td>
								<!--<td align="center" class="ColumnTitle">Context sensitive Help Text</td>-->
								<td align="center" class="ColumnTitle">Linked To</td>
							</tr>
								<xsl:for-each select="Sections/Section">
									<xsl:call-template name="create_SectionDetail">
										<xsl:with-param name="nav_position" select="position()" />
									</xsl:call-template>
								</xsl:for-each>							
						</table>
						<br></br>
					</xsl:if>
					<xsl:call-template name="create_NavigatorGroupUserList"/>
			</body>
		</html>

	</xsl:template>

	<xsl:template name="create_SectionDetail">
		<xsl:param name="nav_position"/>
		<xsl:variable name="LinkCount" select="count(Links/Link)+1"></xsl:variable>
		<tr>
			<td align="left">
				<xsl:attribute name="rowspan">
					<xsl:value-of select="$LinkCount"/>
				</xsl:attribute>
				<xsl:value-of select="Name" disable-output-escaping="yes"/>
			</td>
		</tr>
		<xsl:for-each select="Links/Link">
			<xsl:call-template name="create_FormLinkList">
				<xsl:with-param name="nav_position" select="position()" />
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="create_FormLinkList">
		<xsl:param name="nav_position"/>
		<tr>
			<xsl:if test="(position() mod 2=1)">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<xsl:value-of select="LinkType" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="LinkLabel" disable-output-escaping="yes"/>
			</td>
			<!--<td align="left">
				<xsl:value-of select="LinkTitle" disable-output-escaping="yes"/>
			</td>-->
			<td align="left">
				<xsl:value-of select="LinkValue" disable-output-escaping="yes"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="create_NavigatorGroupUserList">
		<xsl:if test="count(Groups/Group) > 0 or count(Users/User) > 0">
			<a name="Assigned to Groups &amp; Users Information" />
			<label class="HeaderTitle">Assigned to Groups &amp; Users Information</label>
			<br></br>
			<table border="0" class="TableClass" >
				<tr CLASS="BlueTableHeader">
					<td align="center" class="ColumnTitle">Group Name</td>
					<td colspan="4" align="center" class="ColumnTitle">User Name</td>
					<xsl:for-each select="Groups/Group">
						<xsl:call-template name="create_AssignedToGroupList">
							<xsl:with-param name="nav_position" select="position()" />
						</xsl:call-template>
					</xsl:for-each>
					<xsl:for-each select="Users/User">
						<xsl:call-template name="create_AssignedToUserList">
							<xsl:with-param name="nav_position" select="position()" />
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</xsl:if>
	</xsl:template>
	<xsl:template name="create_AssignedToGroupList">
		<xsl:param name="nav_position" select="position()" />
		<tr>
			<xsl:if test="(position() mod 2=1)">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<a>
					<xsl:attribute name="href">g<xsl:value-of select="Sequence" disable-output-escaping="yes"/>.xml</xsl:attribute>
					<xsl:value-of select="Name" disable-output-escaping="yes"/>
				</a>
			</td>
			<td align="left">-</td>
		</tr>
	</xsl:template>
	<xsl:template name="create_AssignedToUserList">
		<xsl:param name="nav_position" select="position()" />
		<tr>
			<xsl:if test="(position() mod 2=1)">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<a><xsl:attribute name="href">g<xsl:value-of select="GroupSequence" disable-output-escaping="yes"/>.xml</xsl:attribute>
					<xsl:value-of select="GroupName" disable-output-escaping="yes"/>
				</a>
			</td>
			<td align="left">
				<a>
					<xsl:attribute name="href">g<xsl:value-of select="GroupSequence" disable-output-escaping="yes"/>.xml#Users</xsl:attribute>
					<xsl:value-of select="UserName" disable-output-escaping="yes"/>
				</a>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>