<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>
	<xsl:template match="/CSNavigator">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="..\Documenter.css"/>
				<script language="javascript" src="..\documenter.js" />
			</head>
			<body onLoad="showHeader()">

				<input type="hidden" id="objectDisplayName">
					<xsl:attribute name="value">
						<xsl:value-of select="Name" disable-output-escaping="yes"/>
					</xsl:attribute>
				</input>

				<input type="hidden" id="objectLanguageName">
					<xsl:attribute name="value">
						<xsl:for-each select="LanguageXmls/Language">					
							<xsl:value-of select="Name" disable-output-escaping="yes"/>;
						</xsl:for-each>
					</xsl:attribute>
				</input>


						<label class="HeaderTitle">Self Service Navigator Information</label>
						<div>
							<table width="100%" >
								<tr >
									<td>
										<label style="font-family:verdana;font-size:12px;">
											<xsl:value-of select="Name" disable-output-escaping="yes"/>
										</label>
									</td>
								</tr>
								<tr >
									<td>
										<label>
											Sequence:
											<xsl:value-of select="Sequence" disable-output-escaping="yes"/>
										</label>
									</td>
								</tr>
								<tr >
									<td>
										<label>
											Default:
											<xsl:value-of select="IsSystem" disable-output-escaping="yes"/>
										</label>
									</td>
								</tr>
							</table>
						</div>
						<br></br>

					<xsl:for-each select="LanguageXmls/Language">
						<a>
							<xsl:attribute name="name">
								<xsl:value-of select="Name" disable-output-escaping="yes"/>
							</xsl:attribute>
						</a>
						<!--<a name="Language" />-->
						<label class="HeaderTitle">
							<xsl:value-of select="Name" disable-output-escaping="yes"/> Self Service Navigator
						</label>
						<br></br>
						<xsl:if test="count(MAGICNAV/NAVSECTION) > 0">
							<a>
								<xsl:attribute name="name"><xsl:value-of select="Name" disable-output-escaping="yes"/> Section Information</xsl:attribute>
								<xsl:attribute name="internal">Internal</xsl:attribute>
							</a>
						<label class="HeaderTitle">Section Information</label>
						<br></br>
						<table border="1" class="TableClass" style="border-collapse:collapse" >
							<tr CLASS="BlueTableHeader">
								<td rowspan ="2" align="center" class="ColumnTitle">Name</td>
								<td colspan="4" align="center" class="ColumnTitle">Links</td>
							</tr>
							<tr CLASS="BlueTableHeader">
								<td align="center" class="ColumnTitle">Label</td>
								<td align="center" class="ColumnTitle">Module</td>
								<td align="center" class="ColumnTitle">Form</td>
								<td align="center" class="ColumnTitle">Action Button</td>
								<xsl:for-each select="MAGICNAV/NAVSECTION">
									<xsl:call-template name="create_SectionDetail">
										<xsl:with-param name="nav_position" select="position()" />
									</xsl:call-template>
								</xsl:for-each>
							</tr>
						</table>
						<br></br>
					</xsl:if>
						<br></br>
						<xsl:if test="count(MAGICNAV/ACTIONBUTTONS) > 0">
							<a><xsl:attribute name="name"><xsl:value-of select="Name" disable-output-escaping="yes"/> Action Buttons</xsl:attribute>
								<xsl:attribute name="internal">Internal</xsl:attribute>
							</a>
							<label class="HeaderTitle">Action Buttons</label>
							<br></br>
							<table border="1" class="TableClass" style="border-collapse:collapse" >
								<tr CLASS="BlueTableHeader">
									<td rowspan ="2" align="center" class="ColumnTitle">Name</td>
									<td colspan="4" align="center" class="ColumnTitle">Links</td>
								</tr>
								<tr CLASS="BlueTableHeader">
									<td align="center" class="ColumnTitle">Type</td>
									<td align="center" class="ColumnTitle">Visible</td>
									<td align="center" class="ColumnTitle">Label</td>
									<td align="center" class="ColumnTitle">Disabled</td>
									<xsl:for-each select="MAGICNAV/ACTIONBUTTONS">
										<xsl:call-template name="create_ActionButtons">
											<xsl:with-param name="nav_position" select="position()" />
										</xsl:call-template>
									</xsl:for-each>
								</tr>
							</table>
							<br></br>
						</xsl:if>
					</xsl:for-each>

				<br></br>
				<xsl:if test="count(AssignedToCompany) or count(AssignedToDepartment) or count(AssignedToClient)> 0">
					<a name="Assigned To" />
					<label class="HeaderTitle">Assigned To</label>
					<br></br>
					<table border="1" class="TableClass" style="border-collapse:collapse" >
						<tr CLASS="BlueTableHeader">
							<td  colspan ="3" align="center" class="ColumnTitle">Assigned To</td>
						</tr>
						<tr CLASS="BlueTableHeader">
							<td  align="center" class="ColumnTitle">Company</td>
							<td  align="center" class="ColumnTitle">Department</td>
							<td  align="center" class="ColumnTitle">Client</td>
						</tr>
							<tr>
								<td>
									<xsl:if test="count(AssignedToCompany) > 0">
										<xsl:for-each select="AssignedToCompany/Company">
											<xsl:value-of select="Name" disable-output-escaping="yes"/>;
										</xsl:for-each>
									</xsl:if>
								</td>
								<td>
									<xsl:if test="count(AssignedToDepartment) > 0">
											<xsl:for-each select="AssignedToDepartment/Department">
												<xsl:value-of select="Name" disable-output-escaping="yes"/>; 		
											</xsl:for-each>
									</xsl:if>
								</td>
								<td>
									<xsl:if test="count(AssignedToClient) > 0">
										<xsl:for-each select="AssignedToClient/Client">
											<xsl:value-of select="Name" disable-output-escaping="yes"/>;
										</xsl:for-each>
									</xsl:if>
								</td>
							</tr>
	
					</table>
					<br></br>
				</xsl:if>
					
			</body>
		</html>

	</xsl:template>

	<xsl:template name="create_SectionDetail">
		<xsl:param name="nav_position"/>
		<xsl:variable name="LinkCount" select="count(NAVLINK)+1"></xsl:variable>
		<tr>
			<td align="left">
				<xsl:attribute name="rowspan">
					<xsl:value-of select="$LinkCount"/>
				</xsl:attribute>
				<xsl:value-of select="@LABEL" disable-output-escaping="yes"/>
			</td>
		</tr>
		<xsl:for-each select="NAVLINK">
			<xsl:call-template name="create_FormLinkList">
				<xsl:with-param name="nav_position" select="position()" />
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="create_FormLinkList">
		<xsl:param name="nav_position"/>
		<tr>
			<xsl:if test="(position() mod 2=1)">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<xsl:value-of select="LABEL" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="VALUE" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="FORM" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="ACTIONBUTTON/LABEL" disable-output-escaping="yes"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="create_ActionButtons">
		<xsl:param name="nav_position"/>
		<xsl:variable name="LinkCount" select="count(LINKBUTTON)+1"></xsl:variable>
		<tr>
			<td align="left">
				<xsl:attribute name="rowspan">
					<xsl:value-of select="$LinkCount"/>
				</xsl:attribute>
				<xsl:value-of select="@ID" disable-output-escaping="yes"/>
			</td>
		</tr>
		<xsl:for-each select="LINKBUTTON">
			<xsl:call-template name="create_ActionDetails">
				<xsl:with-param name="nav_position" select="position()" />
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="create_ActionDetails">
		<xsl:param name="nav_position"/>
		<tr>
			<xsl:if test="(position() mod 2=1)">
				<xsl:attribute name="style">background-color:lightblue</xsl:attribute>
			</xsl:if>
			<td align="left">
				<xsl:value-of select="@TYPE" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="@VISIBLE" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="LABEL" disable-output-escaping="yes"/>
			</td>
			<td align="left">
				<xsl:value-of select="DISABLED" disable-output-escaping="yes"/>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>